
/* my functions */
function big_screen() {
    /* getting viewport width */
    var responsive_viewport = jQuery(window).width();
    return (responsive_viewport >= (768 - 17)); /* allow 17px to match CSS min-width */
}

function menu_fade_in() {
	var menu = jQuery('.menu');
	menu.removeClass('nojsmenu');
	menu.addClass('jsmenu');
	
	var ul = jQuery('ul', menu);

	ul.find('a').each(function() {
		var a = jQuery(this);
		a.append('<span class="ir">' + a.text() + '</span>');
		a.find('span').width( a.width()+1 ); // add 1 pixel due to IE9
		a.hover(function() {
			jQuery(this).find('span').fadeIn('fast');
		}, function() {
			jQuery(this).find('span').fadeOut('fast');
		});
	});
}

function nav_drop_down() {
	var menu = jQuery('.menu');

	var subMenuParent = jQuery('ul li ul', menu).parent();

	jQuery('ul', subMenuParent).hide();

	subMenuParent.hover(function() {
		if ( big_screen() ) jQuery(this).find('ul').show('fast');
	}, function() {
		jQuery(this).find('ul').hide('fast');
	});

}


/* on window load */
jQuery(window).load(function($) {
	/* these need to run after the fonts have loaded */
	menu_fade_in();
	nav_drop_down();
});


/* On window resize */
jQuery(window).resize(function($) {
	nav_drop_down();
});


